Skip to main content
POST
/
v1
/
generation-feedback
cURL
curl --request POST \
  --url https://api.lighthousefh.com/v1/generation-feedback \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "generation_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_correct": true,
  "corrected_content": "<string>",
  "corrected_end_ms": 123,
  "corrected_start_ms": 123
}
'
{
  "status": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "data": {
    "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "generation_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "is_correct": true,
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "corrected_content": "<string>",
    "corrected_end_ms": 123,
    "corrected_start_ms": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "message": "<string>",
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
generation_uuid
string<uuid>
required
is_correct
boolean
required
corrected_content
string | null
corrected_end_ms
integer<int32> | null
corrected_start_ms
integer<int32> | null

Response

Feedback submitted or updated

status
string
required
timestamp
string<date-time>
required
data
object
message
string | null
request_id
string | null